/[cvs]/ccvs/configure
ViewVC logotype

Diff of /ccvs/configure

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 1.416 by dprice, Mon Sep 5 19:38:00 2005 UTC revision 1.417 by dprice, Tue Sep 6 04:55:59 2005 UTC
# Line 325  ac_includes_default="\ Line 325  ac_includes_default="\
325  # include <unistd.h>  # include <unistd.h>
326  #endif"  #endif"
327    
 gl_header_list=  
328  gl_func_list=  gl_func_list=
329    gl_header_list=
330  ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar ac_prefix_program MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CPP EGREP RANLIB ac_ct_RANLIB LN_S PERL CSH MKTEMP SENDMAIL PR ROFF PS2PDF TEXI2DVI MAKE_TARGETS_IN_VPATH_TRUE MAKE_TARGETS_IN_VPATH_FALSE LIBOBJS ALLOCA ALLOCA_H STDBOOL_H HAVE__BOOL FNMATCH_H YACC YFLAGS LIB_CLOCK_GETTIME GETOPT_H GLOB_H LIB_NANOSLEEP HAVE_LONG_64BIT HAVE_LONG_LONG_64BIT STDINT_H EOVERFLOW MKINSTALLDIRS USE_NLS MSGFMT GMSGFMT XGETTEXT MSGMERGE build build_cpu build_vendor build_os host host_cpu host_vendor host_os INTL_MACOSX_LIBS LIBICONV LTLIBICONV INTLLIBS LIBINTL LTLIBINTL POSUB cvs_client_objects KRB4 ZLIB_SUBDIRS ZLIB_CPPFLAGS ZLIB_LIBS with_default_rsh RSH_DFLT EDITOR LTLIBOBJS'  ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar ac_prefix_program MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CPP EGREP RANLIB ac_ct_RANLIB LN_S PERL CSH MKTEMP SENDMAIL PR ROFF PS2PDF TEXI2DVI MAKE_TARGETS_IN_VPATH_TRUE MAKE_TARGETS_IN_VPATH_FALSE LIBOBJS ALLOCA ALLOCA_H STDBOOL_H HAVE__BOOL FNMATCH_H YACC YFLAGS LIB_CLOCK_GETTIME GETOPT_H GLOB_H LIB_NANOSLEEP HAVE_LONG_64BIT HAVE_LONG_LONG_64BIT STDINT_H EOVERFLOW MKINSTALLDIRS USE_NLS MSGFMT GMSGFMT XGETTEXT MSGMERGE build build_cpu build_vendor build_os host host_cpu host_vendor host_os INTL_MACOSX_LIBS LIBICONV LTLIBICONV INTLLIBS LIBINTL LTLIBINTL POSUB cvs_client_objects KRB4 ZLIB_SUBDIRS ZLIB_CPPFLAGS ZLIB_LIBS with_default_rsh RSH_DFLT EDITOR LTLIBOBJS'
331  ac_subst_files='MKTEMP_SH_FUNCTION'  ac_subst_files='MKTEMP_SH_FUNCTION'
332    
# Line 1467  ac_link='$CC -o conftest$ac_exeext $CFLA Line 1467  ac_link='$CC -o conftest$ac_exeext $CFLA
1467  ac_compiler_gnu=$ac_cv_c_compiler_gnu  ac_compiler_gnu=$ac_cv_c_compiler_gnu
1468    
1469    
 gl_header_list="$gl_header_list unistd.h"  
1470  gl_func_list="$gl_func_list fchdir"  gl_func_list="$gl_func_list fchdir"
1471    gl_header_list="$gl_header_list unistd.h"
1472  gl_func_list="$gl_func_list mempcpy"  gl_func_list="$gl_func_list mempcpy"
1473  gl_header_list="$gl_header_list sys/time.h"  gl_header_list="$gl_header_list sys/time.h"
1474  gl_func_list="$gl_func_list isascii"  gl_func_list="$gl_func_list isascii"
# Line 8617  _ACEOF Line 8617  _ACEOF
8617    
8618    fi    fi
8619    
8620    echo "$as_me:$LINENO: checking for C/C++ restrict keyword" >&5
8621    echo $ECHO_N "checking for C/C++ restrict keyword... $ECHO_C" >&6
8622    if test "${gl_cv_c_restrict+set}" = set; then
8623      echo $ECHO_N "(cached) $ECHO_C" >&6
8624    else
8625      gl_cv_c_restrict=no
8626       # Try the official restrict keyword, then gcc's __restrict, and
8627       # the less common variants.
8628       for ac_kw in restrict __restrict __restrict__ _Restrict; do
8629         cat >conftest.$ac_ext <<_ACEOF
8630    /* confdefs.h.  */
8631    _ACEOF
8632    cat confdefs.h >>conftest.$ac_ext
8633    cat >>conftest.$ac_ext <<_ACEOF
8634    /* end confdefs.h.  */
8635    float * $ac_kw x;
8636    _ACEOF
8637    rm -f conftest.$ac_objext
8638    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
8639      (eval $ac_compile) 2>conftest.er1
8640      ac_status=$?
8641      grep -v '^ *+' conftest.er1 >conftest.err
8642      rm -f conftest.er1
8643      cat conftest.err >&5
8644      echo "$as_me:$LINENO: \$? = $ac_status" >&5
8645      (exit $ac_status); } &&
8646             { ac_try='test -z "$ac_c_werror_flag"
8647                             || test ! -s conftest.err'
8648      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8649      (eval $ac_try) 2>&5
8650      ac_status=$?
8651      echo "$as_me:$LINENO: \$? = $ac_status" >&5
8652      (exit $ac_status); }; } &&
8653             { ac_try='test -s conftest.$ac_objext'
8654      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8655      (eval $ac_try) 2>&5
8656      ac_status=$?
8657      echo "$as_me:$LINENO: \$? = $ac_status" >&5
8658      (exit $ac_status); }; }; then
8659      gl_cv_c_restrict=$ac_kw; break
8660    else
8661      echo "$as_me: failed program was:" >&5
8662    sed 's/^/| /' conftest.$ac_ext >&5
8663    
8664    fi
8665    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
8666       done
8667    
8668    fi
8669    echo "$as_me:$LINENO: result: $gl_cv_c_restrict" >&5
8670    echo "${ECHO_T}$gl_cv_c_restrict" >&6
8671     case $gl_cv_c_restrict in
8672       restrict) ;;
8673       no)
8674    cat >>confdefs.h <<\_ACEOF
8675    #define restrict
8676    _ACEOF
8677     ;;
8678       *)  cat >>confdefs.h <<_ACEOF
8679    #define restrict $gl_cv_c_restrict
8680    _ACEOF
8681     ;;
8682     esac
8683    
8684    
8685      echo "$as_me:$LINENO: checking for IPv4 sockets" >&5
8686  for ac_header in $gl_header_list  echo $ECHO_N "checking for IPv4 sockets... $ECHO_C" >&6
8687  do    if test "${gl_cv_socket_ipv4+set}" = set; then
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`  
 if eval "test \"\${$as_ac_Header+set}\" = set"; then  
   echo "$as_me:$LINENO: checking for $ac_header" >&5  
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6  
 if eval "test \"\${$as_ac_Header+set}\" = set"; then  
8688    echo $ECHO_N "(cached) $ECHO_C" >&6    echo $ECHO_N "(cached) $ECHO_C" >&6
 fi  
 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5  
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6  
8689  else  else
8690    # Is the header compilable?    cat >conftest.$ac_ext <<_ACEOF
 echo "$as_me:$LINENO: checking $ac_header usability" >&5  
 echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6  
 cat >conftest.$ac_ext <<_ACEOF  
8691  /* confdefs.h.  */  /* confdefs.h.  */
8692  _ACEOF  _ACEOF
8693  cat confdefs.h >>conftest.$ac_ext  cat confdefs.h >>conftest.$ac_ext
8694  cat >>conftest.$ac_ext <<_ACEOF  cat >>conftest.$ac_ext <<_ACEOF
8695  /* end confdefs.h.  */  /* end confdefs.h.  */
8696  $ac_includes_default  #include <sys/types.h>
8697  #include <$ac_header>  #include <sys/socket.h>
8698    #include <netinet/in.h>
8699    int
8700    main ()
8701    {
8702    int x = AF_INET; struct in_addr y; struct sockaddr_in z;
8703      ;
8704      return 0;
8705    }
8706  _ACEOF  _ACEOF
8707  rm -f conftest.$ac_objext  rm -f conftest.$ac_objext
8708  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
# Line 8668  if { (eval echo "$as_me:$LINENO: \"$ac_c Line 8726  if { (eval echo "$as_me:$LINENO: \"$ac_c
8726    ac_status=$?    ac_status=$?
8727    echo "$as_me:$LINENO: \$? = $ac_status" >&5    echo "$as_me:$LINENO: \$? = $ac_status" >&5
8728    (exit $ac_status); }; }; then    (exit $ac_status); }; }; then
8729    ac_header_compiler=yes    gl_cv_socket_ipv4=yes
8730  else  else
8731    echo "$as_me: failed program was:" >&5    echo "$as_me: failed program was:" >&5
8732  sed 's/^/| /' conftest.$ac_ext >&5  sed 's/^/| /' conftest.$ac_ext >&5
8733    
8734  ac_header_compiler=no  gl_cv_socket_ipv4=no
8735  fi  fi
8736  rm -f conftest.err conftest.$ac_objext conftest.$ac_ext  rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
8737  echo "$as_me:$LINENO: result: $ac_header_compiler" >&5  fi
 echo "${ECHO_T}$ac_header_compiler" >&6  
8738    
8739  # Is the header present?    echo "$as_me:$LINENO: result: $gl_cv_socket_ipv4" >&5
8740  echo "$as_me:$LINENO: checking $ac_header presence" >&5  echo "${ECHO_T}$gl_cv_socket_ipv4" >&6
8741  echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6    if test $gl_cv_socket_ipv4 = yes; then
8742  cat >conftest.$ac_ext <<_ACEOF  
8743    cat >>confdefs.h <<\_ACEOF
8744    #define HAVE_IPV4 1
8745    _ACEOF
8746    
8747      fi
8748    
8749      echo "$as_me:$LINENO: checking for IPv6 sockets" >&5
8750    echo $ECHO_N "checking for IPv6 sockets... $ECHO_C" >&6
8751      if test "${gl_cv_socket_ipv6+set}" = set; then
8752      echo $ECHO_N "(cached) $ECHO_C" >&6
8753    else
8754      cat >conftest.$ac_ext <<_ACEOF
8755  /* confdefs.h.  */  /* confdefs.h.  */
8756  _ACEOF  _ACEOF
8757  cat confdefs.h >>conftest.$ac_ext  cat confdefs.h >>conftest.$ac_ext
8758  cat >>conftest.$ac_ext <<_ACEOF  cat >>conftest.$ac_ext <<_ACEOF
8759  /* end confdefs.h.  */  /* end confdefs.h.  */
8760  #include <$ac_header>  #include <sys/types.h>
8761    #include <sys/socket.h>
8762    #include <netinet/in.h>
8763    int
8764    main ()
8765    {
8766    int x = AF_INET6; struct in6_addr y; struct sockaddr_in6 z;
8767      ;
8768      return 0;
8769    }
8770  _ACEOF  _ACEOF
8771  if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5  rm -f conftest.$ac_objext
8772    (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
8773      (eval $ac_compile) 2>conftest.er1
8774    ac_status=$?    ac_status=$?
8775    grep -v '^ *+' conftest.er1 >conftest.err    grep -v '^ *+' conftest.er1 >conftest.err
8776    rm -f conftest.er1    rm -f conftest.er1
8777    cat conftest.err >&5    cat conftest.err >&5
8778    echo "$as_me:$LINENO: \$? = $ac_status" >&5    echo "$as_me:$LINENO: \$? = $ac_status" >&5
8779    (exit $ac_status); } >/dev/null; then    (exit $ac_status); } &&
8780    if test -s conftest.err; then           { ac_try='test -z "$ac_c_werror_flag"
8781      ac_cpp_err=$ac_c_preproc_warn_flag                           || test ! -s conftest.err'
8782      ac_cpp_err=$ac_cpp_err$ac_c_werror_flag    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8783    else    (eval $ac_try) 2>&5
8784      ac_cpp_err=    ac_status=$?
8785    fi    echo "$as_me:$LINENO: \$? = $ac_status" >&5
8786      (exit $ac_status); }; } &&
8787             { ac_try='test -s conftest.$ac_objext'
8788      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8789      (eval $ac_try) 2>&5
8790      ac_status=$?
8791      echo "$as_me:$LINENO: \$? = $ac_status" >&5
8792      (exit $ac_status); }; }; then
8793      gl_cv_socket_ipv6=yes
8794  else  else
8795    ac_cpp_err=yes    echo "$as_me: failed program was:" >&5
8796    sed 's/^/| /' conftest.$ac_ext >&5
8797    
8798    gl_cv_socket_ipv6=no
8799  fi  fi
8800  if test -z "$ac_cpp_err"; then  rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
8801    ac_header_preproc=yes  fi
8802    
8803      echo "$as_me:$LINENO: result: $gl_cv_socket_ipv6" >&5
8804    echo "${ECHO_T}$gl_cv_socket_ipv6" >&6
8805      if test $gl_cv_socket_ipv6 = yes; then
8806    
8807    cat >>confdefs.h <<\_ACEOF
8808    #define HAVE_IPV6 1
8809    _ACEOF
8810    
8811      fi
8812    
8813    echo "$as_me:$LINENO: checking for inline" >&5
8814    echo $ECHO_N "checking for inline... $ECHO_C" >&6
8815    if test "${ac_cv_c_inline+set}" = set; then
8816      echo $ECHO_N "(cached) $ECHO_C" >&6
8817    else
8818      ac_cv_c_inline=no
8819    for ac_kw in inline __inline__ __inline; do
8820      cat >conftest.$ac_ext <<_ACEOF
8821    /* confdefs.h.  */
8822    _ACEOF
8823    cat confdefs.h >>conftest.$ac_ext
8824    cat >>conftest.$ac_ext <<_ACEOF
8825    /* end confdefs.h.  */
8826    #ifndef __cplusplus
8827    typedef int foo_t;
8828    static $ac_kw foo_t static_foo () {return 0; }
8829    $ac_kw foo_t foo () {return 0; }
8830    #endif
8831    
8832    _ACEOF
8833    rm -f conftest.$ac_objext
8834    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
8835      (eval $ac_compile) 2>conftest.er1
8836      ac_status=$?
8837      grep -v '^ *+' conftest.er1 >conftest.err
8838      rm -f conftest.er1
8839      cat conftest.err >&5
8840      echo "$as_me:$LINENO: \$? = $ac_status" >&5
8841      (exit $ac_status); } &&
8842             { ac_try='test -z "$ac_c_werror_flag"
8843                             || test ! -s conftest.err'
8844      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8845      (eval $ac_try) 2>&5
8846      ac_status=$?
8847      echo "$as_me:$LINENO: \$? = $ac_status" >&5
8848      (exit $ac_status); }; } &&
8849             { ac_try='test -s conftest.$ac_objext'
8850      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8851      (eval $ac_try) 2>&5
8852      ac_status=$?
8853      echo "$as_me:$LINENO: \$? = $ac_status" >&5
8854      (exit $ac_status); }; }; then
8855      ac_cv_c_inline=$ac_kw; break
8856  else  else
8857    echo "$as_me: failed program was:" >&5    echo "$as_me: failed program was:" >&5
8858  sed 's/^/| /' conftest.$ac_ext >&5  sed 's/^/| /' conftest.$ac_ext >&5
8859    
   ac_header_preproc=no  
8860  fi  fi
8861  rm -f conftest.err conftest.$ac_ext  rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
8862  echo "$as_me:$LINENO: result: $ac_header_preproc" >&5  done
 echo "${ECHO_T}$ac_header_preproc" >&6  
8863    
8864  # So?  What about this header?  fi
8865  case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in  echo "$as_me:$LINENO: result: $ac_cv_c_inline" >&5
8866    yes:no: )  echo "${ECHO_T}$ac_cv_c_inline" >&6
8867      { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5  
8868  echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}  
8869      { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5  case $ac_cv_c_inline in
8870  echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}    inline | yes) ;;
8871      ac_header_preproc=yes    *)
8872      ;;      case $ac_cv_c_inline in
8873    no:yes:* )        no) ac_val=;;
8874      { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5        *) ac_val=$ac_cv_c_inline;;
8875  echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}      esac
8876      { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5      cat >>confdefs.h <<_ACEOF
8877  echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}  #ifndef __cplusplus
8878      { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5  #define inline $ac_val
8879  echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}  #endif
8880      { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5  _ACEOF
 echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}  
     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5  
 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}  
     { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5  
 echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}  
     (  
       cat <<\_ASBOX  
 ## --------------------------------- ##  
 ## Report this to bug-cvs@nongnu.org ##  
 ## --------------------------------- ##  
 _ASBOX  
     ) |  
       sed "s/^/$as_me: WARNING:     /" >&2  
8881      ;;      ;;
8882  esac  esac
8883  echo "$as_me:$LINENO: checking for $ac_header" >&5  
8884  echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6  
8885  if eval "test \"\${$as_ac_Header+set}\" = set"; then    echo "$as_me:$LINENO: checking for library containing getaddrinfo" >&5
8886    echo $ECHO_N "checking for library containing getaddrinfo... $ECHO_C" >&6
8887    if test "${ac_cv_search_getaddrinfo+set}" = set; then
8888    echo $ECHO_N "(cached) $ECHO_C" >&6    echo $ECHO_N "(cached) $ECHO_C" >&6
8889  else  else
8890    eval "$as_ac_Header=\$ac_header_preproc"    ac_func_search_save_LIBS=$LIBS
8891    ac_cv_search_getaddrinfo=no
8892    cat >conftest.$ac_ext <<_ACEOF
8893    /* confdefs.h.  */
8894    _ACEOF
8895    cat confdefs.h >>conftest.$ac_ext
8896    cat >>conftest.$ac_ext <<_ACEOF
8897    /* end confdefs.h.  */
8898    
8899    /* Override any gcc2 internal prototype to avoid an error.  */
8900    #ifdef __cplusplus
8901    extern "C"
8902    #endif
8903    /* We use char because int might match the return type of a gcc2
8904       builtin and then its argument prototype would still apply.  */
8905    char getaddrinfo ();
8906    int
8907    main ()
8908    {
8909    getaddrinfo ();
8910      ;
8911      return 0;
8912    }
8913    _ACEOF
8914    rm -f conftest.$ac_objext conftest$ac_exeext
8915    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
8916      (eval $ac_link) 2>conftest.er1
8917      ac_status=$?
8918      grep -v '^ *+' conftest.er1 >conftest.err
8919      rm -f conftest.er1
8920      cat conftest.err >&5
8921      echo "$as_me:$LINENO: \$? = $ac_status" >&5
8922      (exit $ac_status); } &&
8923             { ac_try='test -z "$ac_c_werror_flag"
8924                             || test ! -s conftest.err'
8925      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8926      (eval $ac_try) 2>&5
8927      ac_status=$?
8928      echo "$as_me:$LINENO: \$? = $ac_status" >&5
8929      (exit $ac_status); }; } &&
8930             { ac_try='test -s conftest$ac_exeext'
8931      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8932      (eval $ac_try) 2>&5
8933      ac_status=$?
8934      echo "$as_me:$LINENO: \$? = $ac_status" >&5
8935      (exit $ac_status); }; }; then
8936      ac_cv_search_getaddrinfo="none required"
8937    else
8938      echo "$as_me: failed program was:" >&5
8939    sed 's/^/| /' conftest.$ac_ext >&5
8940    
8941  fi  fi
8942  echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5  rm -f conftest.err conftest.$ac_objext \
8943  echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6        conftest$ac_exeext conftest.$ac_ext
8944    if test "$ac_cv_search_getaddrinfo" = no; then
8945      for ac_lib in nsl socket; do
8946        LIBS="-l$ac_lib  $ac_func_search_save_LIBS"
8947        cat >conftest.$ac_ext <<_ACEOF
8948    /* confdefs.h.  */
8949    _ACEOF
8950    cat confdefs.h >>conftest.$ac_ext
8951    cat >>conftest.$ac_ext <<_ACEOF
8952    /* end confdefs.h.  */
8953    
8954    /* Override any gcc2 internal prototype to avoid an error.  */
8955    #ifdef __cplusplus
8956    extern "C"
8957    #endif
8958    /* We use char because int might match the return type of a gcc2
8959       builtin and then its argument prototype would still apply.  */
8960    char getaddrinfo ();
8961    int
8962    main ()
8963    {
8964    getaddrinfo ();
8965      ;
8966      return 0;
8967    }
8968    _ACEOF
8969    rm -f conftest.$ac_objext conftest$ac_exeext
8970    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
8971      (eval $ac_link) 2>conftest.er1
8972      ac_status=$?
8973      grep -v '^ *+' conftest.er1 >conftest.err
8974      rm -f conftest.er1
8975      cat conftest.err >&5
8976      echo "$as_me:$LINENO: \$? = $ac_status" >&5
8977      (exit $ac_status); } &&
8978             { ac_try='test -z "$ac_c_werror_flag"
8979                             || test ! -s conftest.err'
8980      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8981      (eval $ac_try) 2>&5
8982      ac_status=$?
8983      echo "$as_me:$LINENO: \$? = $ac_status" >&5
8984      (exit $ac_status); }; } &&
8985             { ac_try='test -s conftest$ac_exeext'
8986      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8987      (eval $ac_try) 2>&5
8988      ac_status=$?
8989      echo "$as_me:$LINENO: \$? = $ac_status" >&5
8990      (exit $ac_status); }; }; then
8991      ac_cv_search_getaddrinfo="-l$ac_lib"
8992    break
8993    else
8994      echo "$as_me: failed program was:" >&5
8995    sed 's/^/| /' conftest.$ac_ext >&5
8996    
8997  fi  fi
8998  if test `eval echo '${'$as_ac_Header'}'` = yes; then  rm -f conftest.err conftest.$ac_objext \
8999    cat >>confdefs.h <<_ACEOF        conftest$ac_exeext conftest.$ac_ext
9000  #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1    done
9001    fi
9002    LIBS=$ac_func_search_save_LIBS
9003    fi
9004    echo "$as_me:$LINENO: result: $ac_cv_search_getaddrinfo" >&5
9005    echo "${ECHO_T}$ac_cv_search_getaddrinfo" >&6
9006    if test "$ac_cv_search_getaddrinfo" != no; then
9007      test "$ac_cv_search_getaddrinfo" = "none required" || LIBS="$ac_cv_search_getaddrinfo $LIBS"
9008    
9009    fi
9010    
9011    
9012    
9013    for ac_func in getaddrinfo gai_strerror
9014    do
9015    as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
9016    echo "$as_me:$LINENO: checking for $ac_func" >&5
9017    echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
9018    if eval "test \"\${$as_ac_var+set}\" = set"; then
9019      echo $ECHO_N "(cached) $ECHO_C" >&6
9020    else
9021      cat >conftest.$ac_ext <<_ACEOF
9022    /* confdefs.h.  */
9023    _ACEOF
9024    cat confdefs.h >>conftest.$ac_ext
9025    cat >>conftest.$ac_ext <<_ACEOF
9026    /* end confdefs.h.  */
9027    /* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
9028       For example, HP-UX 11i <limits.h> declares gettimeofday.  */
9029    #define $ac_func innocuous_$ac_func
9030    
9031    /* System header to define __stub macros and hopefully few prototypes,
9032        which can conflict with char $ac_func (); below.
9033        Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
9034        <limits.h> exists even on freestanding compilers.  */
9035    
9036    #ifdef __STDC__
9037    # include <limits.h>
9038    #else
9039    # include <assert.h>
9040    #endif
9041    
9042    #undef $ac_func
9043    
9044    /* Override any gcc2 internal prototype to avoid an error.  */
9045    #ifdef __cplusplus
9046    extern "C"
9047    {
9048    #endif
9049    /* We use char because int might match the return type of a gcc2
9050       builtin and then its argument prototype would still apply.  */
9051    char $ac_func ();
9052    /* The GNU C library defines this for functions which it implements
9053        to always fail with ENOSYS.  Some functions are actually named
9054        something starting with __ and the normal name is an alias.  */
9055    #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
9056    choke me
9057    #else
9058    char (*f) () = $ac_func;
9059    #endif
9060    #ifdef __cplusplus
9061    }
9062    #endif
9063    
9064    int
9065    main ()
9066    {
9067    return f != $ac_func;
9068      ;
9069      return 0;
9070    }
9071  _ACEOF  _ACEOF
9072    rm -f conftest.$ac_objext conftest$ac_exeext
9073    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
9074      (eval $ac_link) 2>conftest.er1
9075      ac_status=$?
9076      grep -v '^ *+' conftest.er1 >conftest.err
9077      rm -f conftest.er1
9078      cat conftest.err >&5
9079      echo "$as_me:$LINENO: \$? = $ac_status" >&5
9080      (exit $ac_status); } &&
9081             { ac_try='test -z "$ac_c_werror_flag"
9082                             || test ! -s conftest.err'
9083      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
9084      (eval $ac_try) 2>&5
9085      ac_status=$?
9086      echo "$as_me:$LINENO: \$? = $ac_status" >&5
9087      (exit $ac_status); }; } &&
9088             { ac_try='test -s conftest$ac_exeext'
9089      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
9090      (eval $ac_try) 2>&5
9091      ac_status=$?
9092      echo "$as_me:$LINENO: \$? = $ac_status" >&5
9093      (exit $ac_status); }; }; then
9094      eval "$as_ac_var=yes"
9095    else
9096      echo "$as_me: failed program was:" >&5
9097    sed 's/^/| /' conftest.$ac_ext >&5
9098    
9099    eval "$as_ac_var=no"
9100  fi  fi
9101    rm -f conftest.err conftest.$ac_objext \
9102          conftest$ac_exeext conftest.$ac_ext
9103    fi
9104    echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
9105    echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
9106    if test `eval echo '${'$as_ac_var'}'` = yes; then
9107      cat >>confdefs.h <<_ACEOF
9108    #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
9109    _ACEOF
9110    
9111    else
9112      case $LIBOBJS in
9113        "$ac_func.$ac_objext"   | \
9114      *" $ac_func.$ac_objext"   | \
9115        "$ac_func.$ac_objext "* | \
9116      *" $ac_func.$ac_objext "* ) ;;
9117      *) LIBOBJS="$LIBOBJS $ac_func.$ac_objext" ;;
9118    esac
9119    
9120    fi
9121  done  done
9122    
9123    
# Line 8776  done Line 9125  done
9125    
9126    
9127    
9128    
9129    
9130  echo "$as_me:$LINENO: checking for stdbool.h that conforms to C99" >&5  echo "$as_me:$LINENO: checking for stdbool.h that conforms to C99" >&5
9131  echo $ECHO_N "checking for stdbool.h that conforms to C99... $ECHO_C" >&6  echo $ECHO_N "checking for stdbool.h that conforms to C99... $ECHO_C" >&6
9132  if test "${ac_cv_header_stdbool_h+set}" = set; then  if test "${ac_cv_header_stdbool_h+set}" = set; then
# Line 9052  done Line 9403  done
9403    
9404    
9405    
9406    
9407    
9408    
9409    for ac_header in $gl_header_list
9410    do
9411    as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
9412    if eval "test \"\${$as_ac_Header+set}\" = set"; then
9413      echo "$as_me:$LINENO: checking for $ac_header" >&5
9414    echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
9415    if eval "test \"\${$as_ac_Header+set}\" = set"; then
9416      echo $ECHO_N "(cached) $ECHO_C" >&6
9417    fi
9418    echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
9419    echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
9420    else
9421      # Is the header compilable?
9422    echo "$as_me:$LINENO: checking $ac_header usability" >&5
9423    echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
9424    cat >conftest.$ac_ext <<_ACEOF
9425    /* confdefs.h.  */
9426    _ACEOF
9427    cat confdefs.h >>conftest.$ac_ext
9428    cat >>conftest.$ac_ext <<_ACEOF
9429    /* end confdefs.h.  */
9430    $ac_includes_default
9431    #include <$ac_header>
9432    _ACEOF
9433    rm -f conftest.$ac_objext
9434    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
9435      (eval $ac_compile) 2>conftest.er1
9436      ac_status=$?
9437      grep -v '^ *+' conftest.er1 >conftest.err
9438      rm -f conftest.er1
9439      cat conftest.err >&5
9440      echo "$as_me:$LINENO: \$? = $ac_status" >&5
9441      (exit $ac_status); } &&
9442             { ac_try='test -z "$ac_c_werror_flag"
9443                             || test ! -s conftest.err'
9444      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
9445      (eval $ac_try) 2>&5
9446      ac_status=$?
9447      echo "$as_me:$LINENO: \$? = $ac_status" >&5
9448      (exit $ac_status); }; } &&
9449             { ac_try='test -s conftest.$ac_objext'
9450      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
9451      (eval $ac_try) 2>&5
9452      ac_status=$?
9453      echo "$as_me:$LINENO: \$? = $ac_status" >&5
9454      (exit $ac_status); }; }; then
9455      ac_header_compiler=yes
9456    else
9457      echo "$as_me: failed program was:" >&5
9458    sed 's/^/| /' conftest.$ac_ext >&5
9459    
9460    ac_header_compiler=no
9461    fi
9462    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
9463    echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
9464    echo "${ECHO_T}$ac_header_compiler" >&6
9465    
9466    # Is the header present?
9467    echo "$as_me:$LINENO: checking $ac_header presence" >&5
9468    echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
9469    cat >conftest.$ac_ext <<_ACEOF
9470    /* confdefs.h.  */
9471    _ACEOF
9472    cat confdefs.h >>conftest.$ac_ext
9473    cat >>conftest.$ac_ext <<_ACEOF
9474    /* end confdefs.h.  */
9475    #include <$ac_header>
9476    _ACEOF
9477    if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
9478      (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
9479      ac_status=$?
9480      grep -v '^ *+' conftest.er1 >conftest.err
9481      rm -f conftest.er1
9482      cat conftest.err >&5
9483      echo "$as_me:$LINENO: \$? = $ac_status" >&5
9484      (exit $ac_status); } >/dev/null; then
9485      if test -s conftest.err; then
9486        ac_cpp_err=$ac_c_preproc_warn_flag
9487        ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
9488      else
9489        ac_cpp_err=
9490      fi
9491    else
9492      ac_cpp_err=yes
9493    fi
9494    if test -z "$ac_cpp_err"; then
9495      ac_header_preproc=yes
9496    else
9497      echo "$as_me: failed program was:" >&5
9498    sed 's/^/| /' conftest.$ac_ext >&5
9499    
9500      ac_header_preproc=no
9501    fi
9502    rm -f conftest.err conftest.$ac_ext
9503    echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
9504    echo "${ECHO_T}$ac_header_preproc" >&6
9505    
9506    # So?  What about this header?
9507    case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
9508      yes:no: )
9509        { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
9510    echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
9511        { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
9512    echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
9513        ac_header_preproc=yes
9514        ;;
9515      no:yes:* )
9516        { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
9517    echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
9518        { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
9519    echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
9520        { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
9521    echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
9522        { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
9523    echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
9524        { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
9525    echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
9526        { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
9527    echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
9528        (
9529          cat <<\_ASBOX
9530    ## --------------------------------- ##
9531    ## Report this to bug-cvs@nongnu.org ##
9532    ## --------------------------------- ##
9533    _ASBOX
9534        ) |
9535          sed "s/^/$as_me: WARNING:     /" >&2
9536        ;;
9537    esac
9538    echo "$as_me:$LINENO: checking for $ac_header" >&5
9539    echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
9540    if eval "test \"\${$as_ac_Header+set}\" = set"; then
9541      echo $ECHO_N "(cached) $ECHO_C" >&6
9542    else
9543      eval "$as_ac_Header=\$ac_header_preproc"
9544    fi
9545    echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
9546    echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
9547    
9548    fi
9549    if test `eval echo '${'$as_ac_Header'}'` = yes; then
9550      cat >>confdefs.h <<_ACEOF
9551    #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
9552    _ACEOF
9553    
9554    fi
9555    
9556    done
9557    
9558    
9559    
9560    
9561    
9562    
9563    
9564    
9565    case $LIBOBJS in    case $LIBOBJS in
9566      "save-cwd.$ac_objext"   | \      "save-cwd.$ac_objext"   | \
9567    *" save-cwd.$ac_objext"   | \    *" save-cwd.$ac_objext"   | \
# Line 13776  _ACEOF Line 14286  _ACEOF
14286    
14287    
14288    
 echo "$as_me:$LINENO: checking for C/C++ restrict keyword" >&5  
 echo $ECHO_N "checking for C/C++ restrict keyword... $ECHO_C" >&6  
 if test "${gl_cv_c_restrict+set}" = set; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 else  
   gl_cv_c_restrict=no  
    # Try the official restrict keyword, then gcc's __restrict, and  
    # the less common variants.  
    for ac_kw in restrict __restrict __restrict__ _Restrict; do  
      cat >conftest.$ac_ext <<_ACEOF  
 /* confdefs.h.  */  
 _ACEOF  
 cat confdefs.h >>conftest.$ac_ext  
 cat >>conftest.$ac_ext <<_ACEOF  
 /* end confdefs.h.  */  
 float * $ac_kw x;  
 _ACEOF  
 rm -f conftest.$ac_objext  
 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5  
   (eval $ac_compile) 2>conftest.er1  
   ac_status=$?  
   grep -v '^ *+' conftest.er1 >conftest.err  
   rm -f conftest.er1  
   cat conftest.err >&5  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } &&  
          { ac_try='test -z "$ac_c_werror_flag"  
                          || test ! -s conftest.err'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; } &&  
          { ac_try='test -s conftest.$ac_objext'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; }; then  
   gl_cv_c_restrict=$ac_kw; break  
 else  
   echo "$as_me: failed program was:" >&5  
 sed 's/^/| /' conftest.$ac_ext >&5  
   
 fi  
 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext  
    done  
   
 fi  
 echo "$as_me:$LINENO: result: $gl_cv_c_restrict" >&5  
 echo "${ECHO_T}$gl_cv_c_restrict" >&6  
  case $gl_cv_c_restrict in  
    restrict) ;;  
    no)  
 cat >>confdefs.h <<\_ACEOF  
 #define restrict  
 _ACEOF  
  ;;  
    *)  cat >>confdefs.h <<_ACEOF  
 #define restrict $gl_cv_c_restrict  
 _ACEOF  
  ;;  
  esac  
   
14289    
14290    echo "$as_me:$LINENO: checking for nl_langinfo and CODESET" >&5    echo "$as_me:$LINENO: checking for nl_langinfo and CODESET" >&5
14291  echo $ECHO_N "checking for nl_langinfo and CODESET... $ECHO_C" >&6  echo $ECHO_N "checking for nl_langinfo and CODESET... $ECHO_C" >&6
# Line 15829  _ACEOF Line 16275  _ACEOF
16275    
16276    fi    fi
16277    
 echo "$as_me:$LINENO: checking for inline" >&5  
 echo $ECHO_N "checking for inline... $ECHO_C" >&6  
 if test "${ac_cv_c_inline+set}" = set; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 else  
   ac_cv_c_inline=no  
 for ac_kw in inline __inline__ __inline; do  
   cat >conftest.$ac_ext <<_ACEOF  
 /* confdefs.h.  */  
 _ACEOF  
 cat confdefs.h >>conftest.$ac_ext  
 cat >>conftest.$ac_ext <<_ACEOF  
 /* end confdefs.h.  */  
 #ifndef __cplusplus  
 typedef int foo_t;  
 static $ac_kw foo_t static_foo () {return 0; }  
 $ac_kw foo_t foo () {return 0; }  
 #endif  
   
 _ACEOF  
 rm -f conftest.$ac_objext  
 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5  
   (eval $ac_compile) 2>conftest.er1  
   ac_status=$?  
   grep -v '^ *+' conftest.er1 >conftest.err  
   rm -f conftest.er1  
   cat conftest.err >&5  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } &&  
          { ac_try='test -z "$ac_c_werror_flag"  
                          || test ! -s conftest.err'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; } &&  
          { ac_try='test -s conftest.$ac_objext'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; }; then  
   ac_cv_c_inline=$ac_kw; break  
 else  
   echo "$as_me: failed program was:" >&5  
 sed 's/^/| /' conftest.$ac_ext >&5  
   
 fi  
 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext  
 done  
   
 fi  
 echo "$as_me:$LINENO: result: $ac_cv_c_inline" >&5  
 echo "${ECHO_T}$ac_cv_c_inline" >&6  
   
   
 case $ac_cv_c_inline in  
   inline | yes) ;;  
   *)  
     case $ac_cv_c_inline in  
       no) ac_val=;;  
       *) ac_val=$ac_cv_c_inline;;  
     esac  
     cat >>confdefs.h <<_ACEOF  
 #ifndef __cplusplus  
 #define inline $ac_val  
 #endif  
 _ACEOF  
     ;;  
 esac  
   
16278    
16279    
16280    
# Line 16085  esac Line 16460  esac
16460    
16461    
16462    
   :  
   
   
   
   
   
   
   
   
   
 for ac_header in netdb.h sys/socket.h netinet/in.h arpa/inet.h  
 do  
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`  
 if eval "test \"\${$as_ac_Header+set}\" = set"; then  
   echo "$as_me:$LINENO: checking for $ac_header" >&5  
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6  
 if eval "test \"\${$as_ac_Header+set}\" = set"; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 fi  
 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5  
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6  
 else  
   # Is the header compilable?  
 echo "$as_me:$LINENO: checking $ac_header usability" >&5  
 echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6  
 cat >conftest.$ac_ext <<_ACEOF  
 /* confdefs.h.  */  
 _ACEOF  
 cat confdefs.h >>conftest.$ac_ext  
 cat >>conftest.$ac_ext <<_ACEOF  
 /* end confdefs.h.  */  
 $ac_includes_default  
 #include <$ac_header>  
 _ACEOF  
 rm -f conftest.$ac_objext  
 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5  
   (eval $ac_compile) 2>conftest.er1  
   ac_status=$?  
   grep -v '^ *+' conftest.er1 >conftest.err  
   rm -f conftest.er1  
   cat conftest.err >&5  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } &&  
          { ac_try='test -z "$ac_c_werror_flag"  
                          || test ! -s conftest.err'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; } &&  
          { ac_try='test -s conftest.$ac_objext'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; }; then  
   ac_header_compiler=yes  
 else  
   echo "$as_me: failed program was:" >&5  
 sed 's/^/| /' conftest.$ac_ext >&5  
   
 ac_header_compiler=no  
 fi  
 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext  
 echo "$as_me:$LINENO: result: $ac_header_compiler" >&5  
 echo "${ECHO_T}$ac_header_compiler" >&6  
   
 # Is the header present?  
 echo "$as_me:$LINENO: checking $ac_header presence" >&5  
 echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6  
 cat >conftest.$ac_ext <<_ACEOF  
 /* confdefs.h.  */  
 _ACEOF  
 cat confdefs.h >>conftest.$ac_ext  
 cat >>conftest.$ac_ext <<_ACEOF  
 /* end confdefs.h.  */  
 #include <$ac_header>  
 _ACEOF  
 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5  
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1  
   ac_status=$?  
   grep -v '^ *+' conftest.er1 >conftest.err  
   rm -f conftest.er1  
   cat conftest.err >&5  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } >/dev/null; then  
   if test -s conftest.err; then  
     ac_cpp_err=$ac_c_preproc_warn_flag  
     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag  
   else  
     ac_cpp_err=  
   fi  
 else  
   ac_cpp_err=yes  
 fi  
 if test -z "$ac_cpp_err"; then  
   ac_header_preproc=yes  
 else  
   echo "$as_me: failed program was:" >&5  
 sed 's/^/| /' conftest.$ac_ext >&5  
   
   ac_header_preproc=no  
 fi  
 rm -f conftest.err conftest.$ac_ext  
 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5  
 echo "${ECHO_T}$ac_header_preproc" >&6  
   
 # So?  What about this header?  
 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in  
   yes:no: )  
     { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5  
 echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}  
     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5  
 echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}  
     ac_header_preproc=yes  
     ;;  
   no:yes:* )  
     { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5  
 echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}  
     { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5  
 echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}  
     { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5  
 echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}  
     { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5  
 echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}  
     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5  
 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}  
     { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5  
 echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}  
     (  
       cat <<\_ASBOX  
 ## --------------------------------- ##  
 ## Report this to bug-cvs@nongnu.org ##  
 ## --------------------------------- ##  
 _ASBOX  
     ) |  
       sed "s/^/$as_me: WARNING:     /" >&2  
     ;;  
 esac  
 echo "$as_me:$LINENO: checking for $ac_header" >&5  
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6  
 if eval "test \"\${$as_ac_Header+set}\" = set"; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 else  
   eval "$as_ac_Header=\$ac_header_preproc"  
 fi  
 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5  
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6  
   
 fi  
 if test `eval echo '${'$as_ac_Header'}'` = yes; then  
   cat >>confdefs.h <<_ACEOF  
 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1  
 _ACEOF  
   
 fi  
   
 done  
   
   
         echo "$as_me:$LINENO: checking for library containing gethostbyname" >&5  
 echo $ECHO_N "checking for library containing gethostbyname... $ECHO_C" >&6  
 if test "${ac_cv_search_gethostbyname+set}" = set; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 else  
   ac_func_search_save_LIBS=$LIBS  
 ac_cv_search_gethostbyname=no  
 cat >conftest.$ac_ext <<_ACEOF  
 /* confdefs.h.  */  
 _ACEOF  
 cat confdefs.h >>conftest.$ac_ext  
 cat >>conftest.$ac_ext <<_ACEOF  
 /* end confdefs.h.  */  
   
 /* Override any gcc2 internal prototype to avoid an error.  */  
 #ifdef __cplusplus  
 extern "C"  
 #endif  
 /* We use char because int might match the return type of a gcc2  
    builtin and then its argument prototype would still apply.  */  
 char gethostbyname ();  
 int  
 main ()  
 {  
 gethostbyname ();  
   ;  
   return 0;  
 }  
 _ACEOF  
 rm -f conftest.$ac_objext conftest$ac_exeext  
 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5  
   (eval $ac_link) 2>conftest.er1  
   ac_status=$?  
   grep -v '^ *+' conftest.er1 >conftest.err  
   rm -f conftest.er1  
   cat conftest.err >&5  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } &&  
          { ac_try='test -z "$ac_c_werror_flag"  
                          || test ! -s conftest.err'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; } &&  
          { ac_try='test -s conftest$ac_exeext'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; }; then  
   ac_cv_search_gethostbyname="none required"  
 else  
   echo "$as_me: failed program was:" >&5  
 sed 's/^/| /' conftest.$ac_ext >&5  
   
 fi  
 rm -f conftest.err conftest.$ac_objext \  
       conftest$ac_exeext conftest.$ac_ext  
 if test "$ac_cv_search_gethostbyname" = no; then  
   for ac_lib in inet nsl; do  
     LIBS="-l$ac_lib  $ac_func_search_save_LIBS"  
     cat >conftest.$ac_ext <<_ACEOF  
 /* confdefs.h.  */  
 _ACEOF  
 cat confdefs.h >>conftest.$ac_ext  
 cat >>conftest.$ac_ext <<_ACEOF  
 /* end confdefs.h.  */  
   
 /* Override any gcc2 internal prototype to avoid an error.  */  
 #ifdef __cplusplus  
 extern "C"  
 #endif  
 /* We use char because int might match the return type of a gcc2  
    builtin and then its argument prototype would still apply.  */  
 char gethostbyname ();  
 int  
 main ()  
 {  
 gethostbyname ();  
   ;  
   return 0;  
 }  
 _ACEOF  
 rm -f conftest.$ac_objext conftest$ac_exeext  
 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5  
   (eval $ac_link) 2>conftest.er1  
   ac_status=$?  
   grep -v '^ *+' conftest.er1 >conftest.err  
   rm -f conftest.er1  
   cat conftest.err >&5  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } &&  
          { ac_try='test -z "$ac_c_werror_flag"  
                          || test ! -s conftest.err'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; } &&  
          { ac_try='test -s conftest$ac_exeext'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; }; then  
   ac_cv_search_gethostbyname="-l$ac_lib"  
 break  
 else  
   echo "$as_me: failed program was:" >&5  
 sed 's/^/| /' conftest.$ac_ext >&5  
   
 fi  
 rm -f conftest.err conftest.$ac_objext \  
       conftest$ac_exeext conftest.$ac_ext  
   done  
 fi  
 LIBS=$ac_func_search_save_LIBS  
 fi  
 echo "$as_me:$LINENO: result: $ac_cv_search_gethostbyname" >&5  
 echo "${ECHO_T}$ac_cv_search_gethostbyname" >&6  
 if test "$ac_cv_search_gethostbyname" != no; then  
   test "$ac_cv_search_gethostbyname" = "none required" || LIBS="$ac_cv_search_gethostbyname $LIBS"  
   
 fi  
   
   
   
   
   
   
 for ac_func in getaddrinfo gethostbyname gethostbyaddr inet_ntoa  
 do  
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`  
 echo "$as_me:$LINENO: checking for $ac_func" >&5  
 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6  
 if eval "test \"\${$as_ac_var+set}\" = set"; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 else  
   cat >conftest.$ac_ext <<_ACEOF  
 /* confdefs.h.  */  
 _ACEOF  
 cat confdefs.h >>conftest.$ac_ext  
 cat >>conftest.$ac_ext <<_ACEOF  
 /* end confdefs.h.  */  
 /* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.  
    For example, HP-UX 11i <limits.h> declares gettimeofday.  */  
 #define $ac_func innocuous_$ac_func  
   
 /* System header to define __stub macros and hopefully few prototypes,  
     which can conflict with char $ac_func (); below.  
     Prefer <limits.h> to <assert.h> if __STDC__ is defined, since  
     <limits.h> exists even on freestanding compilers.  */  
   
 #ifdef __STDC__  
 # include <limits.h>  
 #else  
 # include <assert.h>  
 #endif  
   
 #undef $ac_func  
   
 /* Override any gcc2 internal prototype to avoid an error.  */  
 #ifdef __cplusplus  
 extern "C"  
 {  
 #endif  
 /* We use char because int might match the return type of a gcc2  
    builtin and then its argument prototype would still apply.  */  
 char $ac_func ();  
 /* The GNU C library defines this for functions which it implements  
     to always fail with ENOSYS.  Some functions are actually named  
     something starting with __ and the normal name is an alias.  */  
 #if defined (__stub_$ac_func) || defined (__stub___$ac_func)  
 choke me  
 #else  
 char (*f) () = $ac_func;  
 #endif  
 #ifdef __cplusplus  
 }  
 #endif  
   
 int  
 main ()  
 {  
 return f != $ac_func;  
   ;  
   return 0;  
 }  
 _ACEOF  
 rm -f conftest.$ac_objext conftest$ac_exeext  
 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5  
   (eval $ac_link) 2>conftest.er1  
   ac_status=$?  
   grep -v '^ *+' conftest.er1 >conftest.err  
   rm -f conftest.er1  
   cat conftest.err >&5  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } &&  
          { ac_try='test -z "$ac_c_werror_flag"  
                          || test ! -s conftest.err'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; } &&  
          { ac_try='test -s conftest$ac_exeext'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; }; then  
   eval "$as_ac_var=yes"  
 else  
   echo "$as_me: failed program was:" >&5  
 sed 's/^/| /' conftest.$ac_ext >&5  
   
 eval "$as_ac_var=no"  
 fi  
 rm -f conftest.err conftest.$ac_objext \  
       conftest$ac_exeext conftest.$ac_ext  
 fi  
 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5  
 echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6  
 if test `eval echo '${'$as_ac_var'}'` = yes; then  
   cat >>confdefs.h <<_ACEOF  
 #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1  
 _ACEOF  
   
 fi  
 done  
16463    
16464    
16465    
# Line 18466  done Line 18450  done
18450    fi    fi
18451    
18452    
18453      echo "$as_me:$LINENO: checking for library containing getaddrinfo" >&5
18454    echo $ECHO_N "checking for library containing getaddrinfo... $ECHO_C" >&6
18455    if test "${ac_cv_search_getaddrinfo+set}" = set; then
18456      echo $ECHO_N "(cached) $ECHO_C" >&6
18457    else
18458      ac_func_search_save_LIBS=$LIBS
18459    ac_cv_search_getaddrinfo=no
18460    cat >conftest.$ac_ext <<_ACEOF
18461    /* confdefs.h.  */
18462    _ACEOF
18463    cat confdefs.h >>conftest.$ac_ext
18464    cat >>conftest.$ac_ext <<_ACEOF
18465    /* end confdefs.h.  */
18466    
18467    /* Override any gcc2 internal prototype to avoid an error.  */
18468    #ifdef __cplusplus
18469    extern "C"
18470    #endif
18471    /* We use char because int might match the return type of a gcc2
18472       builtin and then its argument prototype would still apply.  */
18473    char getaddrinfo ();
18474    int
18475    main ()
18476    {
18477    getaddrinfo ();
18478      ;
18479      return 0;
18480    }
18481    _ACEOF
18482    rm -f conftest.$ac_objext conftest$ac_exeext
18483    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
18484      (eval $ac_link) 2>conftest.er1
18485      ac_status=$?
18486      grep -v '^ *+' conftest.er1 >conftest.err
18487      rm -f conftest.er1
18488      cat conftest.err >&5
18489      echo "$as_me:$LINENO: \$? = $ac_status" >&5
18490      (exit $ac_status); } &&
18491             { ac_try='test -z "$ac_c_werror_flag"
18492                             || test ! -s conftest.err'
18493      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
18494      (eval $ac_try) 2>&5
18495      ac_status=$?
18496      echo "$as_me:$LINENO: \$? = $ac_status" >&5
18497      (exit $ac_status); }; } &&
18498             { ac_try='test -s conftest$ac_exeext'
18499      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
18500      (eval $ac_try) 2>&5
18501      ac_status=$?
18502      echo "$as_me:$LINENO: \$? = $ac_status" >&5
18503      (exit $ac_status); }; }; then
18504      ac_cv_search_getaddrinfo="none required"
18505    else
18506      echo "$as_me: failed program was:" >&5
18507    sed 's/^/| /' conftest.$ac_ext >&5
18508    
18509    fi
18510    rm -f conftest.err conftest.$ac_objext \
18511          conftest$ac_exeext conftest.$ac_ext
18512    if test "$ac_cv_search_getaddrinfo" = no; then
18513      for ac_lib in nsl socket; do
18514        LIBS="-l$ac_lib  $ac_func_search_save_LIBS"
18515        cat >conftest.$ac_ext <<_ACEOF
18516    /* confdefs.h.  */
18517    _ACEOF
18518    cat confdefs.h >>conftest.$ac_ext
18519    cat >>conftest.$ac_ext <<_ACEOF
18520    /* end confdefs.h.  */
18521    
18522    /* Override any gcc2 internal prototype to avoid an error.  */
18523    #ifdef __cplusplus
18524    extern "C"
18525    #endif
18526    /* We use char because int might match the return type of a gcc2
18527       builtin and then its argument prototype would still apply.  */
18528    char getaddrinfo ();
18529    int
18530    main ()
18531    {
18532    getaddrinfo ();
18533      ;
18534      return 0;
18535    }
18536    _ACEOF
18537    rm -f conftest.$ac_objext conftest$ac_exeext
18538    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
18539      (eval $ac_link) 2>conftest.er1
18540      ac_status=$?
18541      grep -v '^ *+' conftest.er1 >conftest.err
18542      rm -f conftest.er1
18543      cat conftest.err >&5
18544      echo "$as_me:$LINENO: \$? = $ac_status" >&5
18545      (exit $ac_status); } &&
18546             { ac_try='test -z "$ac_c_werror_flag"
18547                             || test ! -s conftest.err'
18548      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
18549      (eval $ac_try) 2>&5
18550      ac_status=$?
18551      echo "$as_me:$LINENO: \$? = $ac_status" >&5
18552      (exit $ac_status); }; } &&
18553             { ac_try='test -s conftest$ac_exeext'
18554      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
18555      (eval $ac_try) 2>&5
18556      ac_status=$?
18557      echo "$as_me:$LINENO: \$? = $ac_status" >&5
18558      (exit $ac_status); }; }; then
18559      ac_cv_search_getaddrinfo="-l$ac_lib"
18560    break
18561    else
18562      echo "$as_me: failed program was:" >&5
18563    sed 's/^/| /' conftest.$ac_ext >&5
18564    
18565    fi
18566    rm -f conftest.err conftest.$ac_objext \
18567          conftest$ac_exeext conftest.$ac_ext
18568      done
18569    fi
18570    LIBS=$ac_func_search_save_LIBS
18571    fi
18572    echo "$as_me:$LINENO: result: $ac_cv_search_getaddrinfo" >&5
18573    echo "${ECHO_T}$ac_cv_search_getaddrinfo" >&6
18574    if test "$ac_cv_search_getaddrinfo" != no; then
18575      test "$ac_cv_search_getaddrinfo" = "none required" || LIBS="$ac_cv_search_getaddrinfo $LIBS"
18576    
18577    fi
18578    
18579    
18580    
18581    for ac_func in getaddrinfo gai_strerror
18582    do
18583    as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
18584    echo "$as_me:$LINENO: checking for $ac_func" >&5
18585    echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
18586    if eval "test \"\${$as_ac_var+set}\" = set"; then
18587      echo $ECHO_N "(cached) $ECHO_C" >&6
18588    else
18589      cat >conftest.$ac_ext <<_ACEOF
18590    /* confdefs.h.  */
18591    _ACEOF
18592    cat confdefs.h >>conftest.$ac_ext
18593    cat >>conftest.$ac_ext <<_ACEOF
18594    /* end confdefs.h.  */
18595    /* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
18596       For example, HP-UX 11i <limits.h> declares gettimeofday.  */
18597    #define $ac_func innocuous_$ac_func
18598    
18599    /* System header to define __stub macros and hopefully few prototypes,
18600        which can conflict with char $ac_func (); below.
18601        Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
18602        <limits.h> exists even on freestanding compilers.  */
18603    
18604    #ifdef __STDC__
18605    # include <limits.h>
18606    #else
18607    # include <assert.h>
18608    #endif
18609    
18610    #undef $ac_func
18611    
18612    /* Override any gcc2 internal prototype to avoid an error.  */
18613    #ifdef __cplusplus
18614    extern "C"
18615    {
18616    #endif
18617    /* We use char because int might match the return type of a gcc2
18618       builtin and then its argument prototype would still apply.  */
18619    char $ac_func ();
18620    /* The GNU C library defines this for functions which it implements
18621        to always fail with ENOSYS.  Some functions are actually named
18622        something starting with __ and the normal name is an alias.  */
18623    #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
18624    choke me
18625    #else
18626    char (*f) () = $ac_func;
18627    #endif
18628    #ifdef __cplusplus
18629    }
18630    #endif
18631    
18632    int
18633    main ()
18634    {
18635    return f != $ac_func;
18636      ;
18637      return 0;
18638    }
18639    _ACEOF
18640    rm -f conftest.$ac_objext conftest$ac_exeext
18641    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
18642      (eval $ac_link) 2>conftest.er1
18643      ac_status=$?
18644      grep -v '^ *+' conftest.er1 >conftest.err
18645      rm -f conftest.er1
18646      cat conftest.err >&5
18647      echo "$as_me:$LINENO: \$? = $ac_status" >&5
18648      (exit $ac_status); } &&
18649             { ac_try='test -z "$ac_c_werror_flag"
18650                             || test ! -s conftest.err'
18651      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
18652      (eval $ac_try) 2>&5
18653      ac_status=$?
18654      echo "$as_me:$LINENO: \$? = $ac_status" >&5
18655      (exit $ac_status); }; } &&
18656             { ac_try='test -s conftest$ac_exeext'
18657      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
18658      (eval $ac_try) 2>&5
18659      ac_status=$?
18660      echo "$as_me:$LINENO: \$? = $ac_status" >&5
18661      (exit $ac_status); }; }; then
18662      eval "$as_ac_var=yes"
18663    else
18664      echo "$as_me: failed program was:" >&5
18665    sed 's/^/| /' conftest.$ac_ext >&5
18666    
18667    eval "$as_ac_var=no"
18668    fi
18669    rm -f conftest.err conftest.$ac_objext \
18670          conftest$ac_exeext conftest.$ac_ext
18671    fi
18672    echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
18673    echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
18674    if test `eval echo '${'$as_ac_var'}'` = yes; then
18675      cat >>confdefs.h <<_ACEOF
18676    #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
18677    _ACEOF
18678    
18679    else
18680      case $LIBOBJS in
18681        "$ac_func.$ac_objext"   | \
18682      *" $ac_func.$ac_objext"   | \
18683        "$ac_func.$ac_objext "* | \
18684      *" $ac_func.$ac_objext "* ) ;;
18685      *) LIBOBJS="$LIBOBJS $ac_func.$ac_objext" ;;
18686    esac
18687    
18688    fi
18689    done
18690    
18691    
18692    
18693    
18694    
18695    
18696    
18697    
18698    
18699    
18700    
18701    case $gl_cv_func_getcwd_null in    case $gl_cv_func_getcwd_null in

Legend:
Removed from v.1.416  
changed lines
  Added in v.1.417

savannah-hackers-public@gnu.org
ViewVC Help
Powered by ViewVC 1.1.26